Skip to main content
PATCH
Update a subscription

Authorizations

X-SALESBRICKS-KEY
string
header
required

API key for authentication

Path Parameters

subscription_id
string
required
Pattern: ^([a-zA-Z\d\-]+)$

Body

Subscription update input serializer that comes from previously posted subscription estimate.

starts_at
string<date>

The start date of the subscription.

contract_length
integer

The length of the contract in months.

Required range: x >= 1
billing_frequency
enum<string>

The billing frequency

  • MONTHLY - Monthly
  • QUARTERLY - Quarterly
  • SEMI_ANNUALLY - Semi-annually
  • ANNUALLY - Annually
  • ALL_UPFRONT - All upfront
Available options:
MONTHLY,
QUARTERLY,
SEMI_ANNUALLY,
ANNUALLY,
ALL_UPFRONT
plan_id
string<uuid>

The ID of the plan.

bricks
object[]

The bricks included in the subscription.

currency
enum<string>
default:USD

Optional currency to be used for the subscription. Defaults to USD.

  • USD - United States Dollar
  • EUR - Euros
  • GBP - Great British Pound
  • AUD - Australian Dollar
  • CAD - Canadian Dollar
  • INR - Indian Rupee
Available options:
USD,
EUR,
GBP,
AUD,
CAD,
INR
discount_coupons
string[]

Discount coupon codes to apply to the subscription. Currently only supports one discount coupon - only the first one in the list will be applied.

point_of_contact_id
string<uuid>

The ID of the point of contact (Person) object

signatory_user_id
string<uuid>

The ID of the signatory user (Person) object

auto_renews
boolean

Whether the subscription auto-renews. Defaults to true.

accounts_payable_emails
string<email>[]

List of email addresses for accounts payable contacts

customer_id
string<uuid>

The ID of the customer

payment_terms
integer

The number of days from an invoice being generated that the buyer is expected to pay in

Required range: 0 <= x <= 999
renewal_contract_period
integer | null

The contract period for renewals in months. If null, inherits from initial contract period.

Required range: x >= 1
renewal_uplifted_rate
string<decimal> | null

The percentage rate to uplift renewal pricing. If null, no uplift is applied.

Pattern: ^-?\d{0,3}(?:\.\d{0,2})?$
transaction_method
enum<string>

The medium by which the order is agreed.

  • ORDER_FORM - Order form
  • STRIPE - Stripe
Available options:
ORDER_FORM,
STRIPE
metadata
any | null

Optional metadata to add to the subscription. Sending an empty map will delete all keys. Keys prefixed with _ are private and will be ignored.

custom_order_form_html
string

The custom order form html to use with <html><body>...</body></html> formatting

accepted_payment_methods_config
object | null

Configuration for accepted payment methods during checkout and paywall

first_charge_date
enum<string>

When the first invoice should be charged. If not provided, defaults to seller's first_charge_date setting, or CHECKOUT_DATE if seller has no setting.

  • CONTRACT_START_DATE - Contract Start Date
  • CHECKOUT_DATE - Checkout Date
Available options:
CONTRACT_START_DATE,
CHECKOUT_DATE

Optional ID of the legal entity that issues this subscription. Falls back to the seller's default legal entity when omitted.

Response

subscription_id
string